Bug 148114 - Update port: java/jgraph Update and claim maintainership
Summary: Update port: java/jgraph Update and claim maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stefan Walter
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-06-24 17:40 UTC by Chris Rees
Modified: 2010-06-29 05:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees 2010-06-24 17:40:05 UTC
	This port has been out of date for some time, and unmaintained. Since I already look after java/jgraphx I don't mind dealing with this in future too. They're incompatible APIs so they should stay separate.

Fix: 

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.--BjyTWNbuUdoKpGbhmt9FB0yJhXdd0s7HgIANjG0ivjlD2rwX
Content-Type: text/plain; name="jgraph.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="jgraph.diff"

diff -ruN jgraph.orig/Makefile jgraph/Makefile
--- jgraph.orig/Makefile	2009-04-23 18:10:24.000000000 +0100
+++ jgraph/Makefile	2010-06-20 13:46:40.000000000 +0100
@@ -7,15 +7,18 @@
 #
 
 PORTNAME=	jgraph
-PORTVERSION=	5.12.3.2
+PORTVERSION=	5.13.0.4
 CATEGORIES=	java graphics
-MASTER_SITES=	http://www.jgraph.com/pub/
-DISTNAME=	${PORTNAME}-latest-lgpl-src
+MASTER_SITES=	http://www.jgraph.com/downloads/jgraph/archive/ \
+				http://www.bayofrum.net/dist/jgraph/
 EXTRACT_SUFX=	.jar
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	utisoft@gmail.com
 COMMENT=	The Java Graph Diagram Component
 
+LICENSE=	BSD
+LICENSE_FILE=	${WRKSRC}/LICENSE
+
 USE_ZIP=	yes
 NO_WRKSUBDIR=	yes
 USE_JAVA=	yes
diff -ruN jgraph.orig/distinfo jgraph/distinfo
--- jgraph.orig/distinfo	2009-04-23 18:10:24.000000000 +0100
+++ jgraph/distinfo	2010-06-20 13:52:17.000000000 +0100
@@ -1,3 +1,3 @@
-MD5 (jgraph-latest-lgpl-src.jar) = 9984f6501cb647a053d876280d8043d3
-SHA256 (jgraph-latest-lgpl-src.jar) = ae4b69047fd24ed865795d2998fe89f60076330aaef806802ffaa0bdda9ec8bc
-SIZE (jgraph-latest-lgpl-src.jar) = 1277580
+MD5 (jgraph-5.13.0.4.jar) = d01d2b794e340340337fad59e2bdaf7c
+SHA256 (jgraph-5.13.0.4.jar) = 2c9ae5045a588251283ff7ae33d1d9203aa4194315379d6c793b4bfff3283190
+SIZE (jgraph-5.13.0.4.jar) = 2592515
Comment 1 Stefan Walter freebsd_committer 2010-06-28 15:31:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stefan

Take.
Comment 2 Stefan Walter freebsd_committer 2010-06-29 05:09:56 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 3 dfilter service freebsd_committer 2010-06-29 05:11:49 UTC
stefan      2010-06-29 04:07:00 UTC

  FreeBSD ports repository

  Modified files:
    java/jgraph          Makefile distinfo 
  Log:
  - Update to 5.13.0.4.
  - Assign maintainership to submitter.
  
  PR:             148114
  Submitted by:   Chris Rees <utisoft@gmail.com>
  Feature safe:   yes
  
  Revision  Changes    Path
  1.11      +7 -4      ports/java/jgraph/Makefile
  1.10      +3 -3      ports/java/jgraph/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"